Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Manager

Data Manager Management

list DataManagerConfig

get
Authorizations
AuthorizationstringRequired
Query parameters
pageIndexnumber · int32Optional

Page number to return, starting with zero

pageSizenumber · int32Optional

Number of records per page (default 100)

orderByFieldstringOptional

Field name to order by (or comma separated names)

pageNoLimitstringOptional

If true don't limit page size (no pagination)

dependentLevelsnumber · int32Optional

Levels of dependent child records to include

configIdstringOptional
exportContentIdstringOptional
importServiceNamestringOptional
exportServiceNamestringOptional
exportServiceScreenNamestringOptional
exportServiceScreenLocationstringOptional
descriptionstringOptional
scriptTitlestringOptional
delimiterstringOptional
fileNamePatternstringOptional
executionModeIdstringOptional
multiThreadingstringOptional
importPathstringOptional
exportPathstringOptional
prioritynumber · int64Optional
enableDataFeedstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig
configIdstringOptional
exportContentIdstringOptional
importServiceNamestringOptional
exportServiceNamestringOptional
exportServiceScreenNamestringOptional
exportServiceScreenLocationstringOptional
descriptionstringOptional
scriptTitlestringOptional
delimiterstringOptional
fileNamePatternstringOptional
executionModeIdstring · enumOptionalPossible values:
multiThreadingstringOptional
importPathstringOptional
exportPathstringOptional
prioritynumber · int64Optional
enableDataFeedstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
get/dataManager
GET /rest/s1/admin/dataManager HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
[
  {
    "_entity": "co.hotwax.datamanager.DataManagerConfig",
    "configId": "text",
    "exportContentId": "text",
    "importServiceName": "text",
    "exportServiceName": "text",
    "exportServiceScreenName": "text",
    "exportServiceScreenLocation": "text",
    "description": "text",
    "scriptTitle": "text",
    "delimiter": "text",
    "fileNamePattern": "text",
    "executionModeId": "DMC_ASYNC",
    "multiThreading": "text",
    "importPath": "text",
    "exportPath": "text",
    "priority": 1,
    "enableDataFeed": "text",
    "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
    "createdStamp": "2026-01-01T00:00:00.000Z"
  }
]

create DataManagerConfig

post
Authorizations
AuthorizationstringRequired
Body
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig
configIdstringOptional
exportContentIdstringOptional
importServiceNamestringOptional
exportServiceNamestringOptional
exportServiceScreenNamestringOptional
exportServiceScreenLocationstringOptional
descriptionstringOptional
scriptTitlestringOptional
delimiterstringOptional
fileNamePatternstringOptional
executionModeIdstring · enumOptionalPossible values:
multiThreadingstringOptional
importPathstringOptional
exportPathstringOptional
prioritynumber · int64Optional
enableDataFeedstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig.PK
configIdstringOptional
post/dataManager
POST /rest/s1/admin/dataManager HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 525

{
  "_entity": "co.hotwax.datamanager.DataManagerConfig",
  "configId": "text",
  "exportContentId": "text",
  "importServiceName": "text",
  "exportServiceName": "text",
  "exportServiceScreenName": "text",
  "exportServiceScreenLocation": "text",
  "description": "text",
  "scriptTitle": "text",
  "delimiter": "text",
  "fileNamePattern": "text",
  "executionModeId": "DMC_ASYNC",
  "multiThreading": "text",
  "importPath": "text",
  "exportPath": "text",
  "priority": 1,
  "enableDataFeed": "text",
  "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
  "createdStamp": "2026-01-01T00:00:00.000Z"
}
{
  "_entity": "co.hotwax.datamanager.DataManagerConfig.PK",
  "configId": "text"
}

one DataManagerConfig

get
Authorizations
AuthorizationstringRequired
Path parameters
configIdstringRequired
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig
configIdstringOptional
exportContentIdstringOptional
importServiceNamestringOptional
exportServiceNamestringOptional
exportServiceScreenNamestringOptional
exportServiceScreenLocationstringOptional
descriptionstringOptional
scriptTitlestringOptional
delimiterstringOptional
fileNamePatternstringOptional
executionModeIdstring · enumOptionalPossible values:
multiThreadingstringOptional
importPathstringOptional
exportPathstringOptional
prioritynumber · int64Optional
enableDataFeedstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
get/dataManager/{configId}
GET /rest/s1/admin/dataManager/{configId} HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
{
  "_entity": "co.hotwax.datamanager.DataManagerConfig",
  "configId": "text",
  "exportContentId": "text",
  "importServiceName": "text",
  "exportServiceName": "text",
  "exportServiceScreenName": "text",
  "exportServiceScreenLocation": "text",
  "description": "text",
  "scriptTitle": "text",
  "delimiter": "text",
  "fileNamePattern": "text",
  "executionModeId": "DMC_ASYNC",
  "multiThreading": "text",
  "importPath": "text",
  "exportPath": "text",
  "priority": 1,
  "enableDataFeed": "text",
  "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
  "createdStamp": "2026-01-01T00:00:00.000Z"
}

update DataManagerConfig

put
Authorizations
AuthorizationstringRequired
Path parameters
configIdstringRequired
Body
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig
configIdstringOptional
exportContentIdstringOptional
importServiceNamestringOptional
exportServiceNamestringOptional
exportServiceScreenNamestringOptional
exportServiceScreenLocationstringOptional
descriptionstringOptional
scriptTitlestringOptional
delimiterstringOptional
fileNamePatternstringOptional
executionModeIdstring · enumOptionalPossible values:
multiThreadingstringOptional
importPathstringOptional
exportPathstringOptional
prioritynumber · int64Optional
enableDataFeedstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerConfig.PK
configIdstringOptional
put/dataManager/{configId}
PUT /rest/s1/admin/dataManager/{configId} HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 525

{
  "_entity": "co.hotwax.datamanager.DataManagerConfig",
  "configId": "text",
  "exportContentId": "text",
  "importServiceName": "text",
  "exportServiceName": "text",
  "exportServiceScreenName": "text",
  "exportServiceScreenLocation": "text",
  "description": "text",
  "scriptTitle": "text",
  "delimiter": "text",
  "fileNamePattern": "text",
  "executionModeId": "DMC_ASYNC",
  "multiThreading": "text",
  "importPath": "text",
  "exportPath": "text",
  "priority": 1,
  "enableDataFeed": "text",
  "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
  "createdStamp": "2026-01-01T00:00:00.000Z"
}
{
  "_entity": "co.hotwax.datamanager.DataManagerConfig.PK",
  "configId": "text"
}

download Template

get
Authorizations
AuthorizationstringRequired
Path parameters
configIdstringRequired
Responses
401

Authentication required

No content

get/dataManager/{configId}/downloadTemplate
GET /rest/s1/admin/dataManager/{configId}/downloadTemplate HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*

No content

list DataManagerLogAndContent

get
Authorizations
AuthorizationstringRequired
Query parameters
pageIndexnumber · int32Optional

Page number to return, starting with zero

pageSizenumber · int32Optional

Number of records per page (default 100)

orderByFieldstringOptional

Field name to order by (or comma separated names)

pageNoLimitstringOptional

If true don't limit page size (no pagination)

dependentLevelsnumber · int32Optional

Levels of dependent child records to include

logIdstringOptional
parentLogIdstringOptional
configIdstringOptional
ownerPartyIdstringOptional
logTypeEnumIdstringOptional
createdByUserLoginstringOptional
createdDatestring · date-timeOptional
startDateTimestring · date-timeOptional
finishDateTimestring · date-timeOptional
cancelDateTimestring · date-timeOptional
statusIdstringOptional
createdByJobIdstringOptional
runByInstanceIdstringOptional
runThreadstringOptional
totalRecordCountnumber · int64Optional
failedRecordCountnumber · int64Optional
createdByJobRunIdstringOptional
systemMessageIdstringOptional
productStoreIdstringOptional
logContentIdstringOptional
fileNamestringOptional
fileSizenumber · int64Optional
contentLocationstringOptional
logContentTypeEnumIdstringOptional
descriptionstringOptional
contentDatestring · date-timeOptional
userIdstringOptional
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerLogAndContent
logIdstringOptional
parentLogIdstringOptional
configIdstringOptional
ownerPartyIdstringOptional
logTypeEnumIdstringOptional
createdByUserLoginstringOptional
createdDatestring · date-timeOptional
startDateTimestring · date-timeOptional
finishDateTimestring · date-timeOptional
cancelDateTimestring · date-timeOptional
statusIdstringOptional
createdByJobIdstringOptional
runByInstanceIdstringOptional
runThreadstringOptional
totalRecordCountnumber · int64Optional
failedRecordCountnumber · int64Optional
createdByJobRunIdstringOptional
systemMessageIdstringOptional
productStoreIdstringOptional
logContentIdstringOptional
fileNamestringOptional
fileSizenumber · int64Optional
contentLocationstringOptional
logContentTypeEnumIdstringOptional
descriptionstringOptional
contentDatestring · date-timeOptional
userIdstringOptional
get/dataManager/logs
GET /rest/s1/admin/dataManager/logs HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
[
  {
    "_entity": "co.hotwax.datamanager.DataManagerLogAndContent",
    "logId": "text",
    "parentLogId": "text",
    "configId": "text",
    "ownerPartyId": "text",
    "logTypeEnumId": "text",
    "createdByUserLogin": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "startDateTime": "2026-01-01T00:00:00.000Z",
    "finishDateTime": "2026-01-01T00:00:00.000Z",
    "cancelDateTime": "2026-01-01T00:00:00.000Z",
    "statusId": "text",
    "createdByJobId": "text",
    "runByInstanceId": "text",
    "runThread": "text",
    "totalRecordCount": 1,
    "failedRecordCount": 1,
    "createdByJobRunId": "text",
    "systemMessageId": "text",
    "productStoreId": "text",
    "logContentId": "text",
    "fileName": "text",
    "fileSize": 1,
    "contentLocation": "text",
    "logContentTypeEnumId": "text",
    "description": "text",
    "contentDate": "2026-01-01T00:00:00.000Z",
    "userId": "text"
  }
]

one DataManagerLog (master: default)

get
Authorizations
AuthorizationstringRequired
Path parameters
logIdstringRequired
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerLog
logIdstringOptional
parentLogIdstringOptional
configIdstringOptional
ownerPartyIdstringOptional
logTypeEnumIdstring · enumOptionalPossible values:
createdByUserLoginstringOptional
createdDatestring · date-timeOptional
startDateTimestring · date-timeOptional
finishDateTimestring · date-timeOptional
cancelDateTimestring · date-timeOptional
statusIdstring · enumOptionalPossible values:
createdByJobIdstringOptional
runByInstanceIdstringOptional
runThreadstringOptional
totalRecordCountnumber · int64Optional
failedRecordCountnumber · int64Optional
createdByJobRunIdstringOptional
systemMessageIdstringOptional
productStoreIdstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
get/dataManager/logs/{logId}
GET /rest/s1/admin/dataManager/logs/{logId} HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
{
  "_entity": "co.hotwax.datamanager.DataManagerLog",
  "logId": "text",
  "parentLogId": "text",
  "configId": "text",
  "ownerPartyId": "text",
  "logTypeEnumId": "DmltExport",
  "createdByUserLogin": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "startDateTime": "2026-01-01T00:00:00.000Z",
  "finishDateTime": "2026-01-01T00:00:00.000Z",
  "cancelDateTime": "2026-01-01T00:00:00.000Z",
  "statusId": "DmlsCancelled",
  "createdByJobId": "text",
  "runByInstanceId": "text",
  "runThread": "text",
  "totalRecordCount": 1,
  "failedRecordCount": 1,
  "createdByJobRunId": "text",
  "systemMessageId": "text",
  "productStoreId": "text",
  "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
  "createdStamp": "2026-01-01T00:00:00.000Z",
  "co.hotwax.datamanager.DataManagerConfig": {
    "_entity": "co.hotwax.datamanager.DataManagerConfig",
    "configId": "text",
    "exportContentId": "text",
    "importServiceName": "text",
    "exportServiceName": "text",
    "exportServiceScreenName": "text",
    "exportServiceScreenLocation": "text",
    "description": "text",
    "scriptTitle": "text",
    "delimiter": "text",
    "fileNamePattern": "text",
    "executionModeId": "DMC_ASYNC",
    "multiThreading": "text",
    "importPath": "text",
    "exportPath": "text",
    "priority": 1,
    "enableDataFeed": "text",
    "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
    "createdStamp": "2026-01-01T00:00:00.000Z"
  },
  "co.hotwax.datamanager.DataManagerParameter": [
    {
      "_entity": "co.hotwax.datamanager.DataManagerParameter",
      "logId": "text",
      "parameterName": "text",
      "parameterValue": "text",
      "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
      "createdStamp": "2026-01-01T00:00:00.000Z"
    }
  ],
  "co.hotwax.datamanager.DataManagerContent": [
    {
      "_entity": "co.hotwax.datamanager.DataManagerContent",
      "logContentId": "text",
      "logId": "text",
      "fileName": "text",
      "fileSize": 1,
      "contentLocation": "text",
      "logContentTypeEnumId": "DmcntError",
      "description": "text",
      "contentDate": "2026-01-01T00:00:00.000Z",
      "userId": "text",
      "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
      "createdStamp": "2026-01-01T00:00:00.000Z"
    }
  ]
}

update DataManagerLog

put
Authorizations
AuthorizationstringRequired
Path parameters
logIdstringRequired
Body
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerLog
logIdstringOptional
parentLogIdstringOptional
configIdstringOptional
ownerPartyIdstringOptional
logTypeEnumIdstring · enumOptionalPossible values:
createdByUserLoginstringOptional
createdDatestring · date-timeOptional
startDateTimestring · date-timeOptional
finishDateTimestring · date-timeOptional
cancelDateTimestring · date-timeOptional
statusIdstring · enumOptionalPossible values:
createdByJobIdstringOptional
runByInstanceIdstringOptional
runThreadstringOptional
totalRecordCountnumber · int64Optional
failedRecordCountnumber · int64Optional
createdByJobRunIdstringOptional
systemMessageIdstringOptional
productStoreIdstringOptional
lastUpdatedStampstring · date-timeOptional
createdStampstring · date-timeOptional
Responses
200

Success

application/json
_entitystringOptionalDefault: co.hotwax.datamanager.DataManagerLog.PK
logIdstringOptional
put/dataManager/logs/{logId}
PUT /rest/s1/admin/dataManager/logs/{logId} HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 657

{
  "_entity": "co.hotwax.datamanager.DataManagerLog",
  "logId": "text",
  "parentLogId": "text",
  "configId": "text",
  "ownerPartyId": "text",
  "logTypeEnumId": "DmltExport",
  "createdByUserLogin": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "startDateTime": "2026-01-01T00:00:00.000Z",
  "finishDateTime": "2026-01-01T00:00:00.000Z",
  "cancelDateTime": "2026-01-01T00:00:00.000Z",
  "statusId": "DmlsCancelled",
  "createdByJobId": "text",
  "runByInstanceId": "text",
  "runThread": "text",
  "totalRecordCount": 1,
  "failedRecordCount": 1,
  "createdByJobRunId": "text",
  "systemMessageId": "text",
  "productStoreId": "text",
  "lastUpdatedStamp": "2026-01-01T00:00:00.000Z",
  "createdStamp": "2026-01-01T00:00:00.000Z"
}
{
  "_entity": "co.hotwax.datamanager.DataManagerLog.PK",
  "logId": "text"
}

remove DataManagerLog

delete
Authorizations
AuthorizationstringRequired
Path parameters
logIdstringRequired
Responses
401

Authentication required

No content

delete/dataManager/logs/{logId}
DELETE /rest/s1/admin/dataManager/logs/{logId} HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*

No content

download DataManagerFile

get
Authorizations
AuthorizationstringRequired
Query parameters
logContentIdstringOptional
configIdstringOptional
Responses
200

Success

application/json
csvDatastringOptional
get/dataManager/downloadDataManagerFile
GET /rest/s1/admin/dataManager/downloadDataManagerFile HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
{
  "csvData": "text"
}

get DataManagerLogDetails

get
Authorizations
AuthorizationstringRequired
Query parameters
logIdstringOptional
configIdstringOptional
configId_opstringOptional
statusIdstringOptional
statusId_opstringOptional
createdDate_fromstringOptional
createdDate_thrustringOptional
logContentTypeEnumIdstringOptional

The imported file's type: DmcntImported keeps only runs with an imported file. No other value matches; filter the error file with errorLogContentTypeEnumId.

errorLogContentTypeEnumIdstringOptional

The error file's type: DmcntError keeps only runs with an error file.

prioritystringOptional
priority_opstringOptional
systemMessageIdstringOptional
systemMessageId_opstringOptional
pageIndexinteger · int32Optional
pageSizeinteger · int32Optional
Responses
200

Success

application/json
dataManagerLogsobject[]Optional
dataManagerLogsCountinteger · int32Optional
get/dataManager/details
GET /rest/s1/admin/dataManager/details HTTP/1.1
Host: dev-maarg.hotwax.io
Authorization: Basic username:password
Accept: */*
{
  "dataManagerLogs": [
    {}
  ],
  "dataManagerLogsCount": 1
}

Last updated

Was this helpful?